/** 
Ninjas are reintroduced to the remove() function and taught to understand it after 
using it in Ninja Supplies, this will become more significant as they start building 
games that rapidly clone objects to limit what their game engines have to process.
*/

//********************Star Object: Update Every Frame Event*************************//
if($this.x() <= 0) {
    $this.remove();
}
